<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            
            <xsd:include schemaLocation="CellProperties.xsd"/>
            <xsd:include schemaLocation="Color.xsd"/>
            <xsd:include schemaLocation="NrOfStructures.xsd"/>
            <xsd:include schemaLocation="AtomRef.xsd"/>
            
            <xsd:complexType name="Cell">
                <xsd:annotation>
                    <xsd:documentation>
                        Models are usually composed by collections of cells, each cell being built with atoms.
                        Cells represent geometrical polyhedron structures (triangles, hexahedrons, ...)
                        present in 3D models.
                        
                        A cell is defined by:
                        - a geometric type: triangle, quad, tetrahedra, hexahedron, line, poly-line, etc...;
                        - a group of atoms used in the cell geometry; and
                        - some associated properties.            
                    </xsd:documentation>
                </xsd:annotation>
                <xsd:sequence>
                    <xsd:element name="cellProperties" type="CellProperties"/>
                    <xsd:element name="color" type="Color" minOccurs="0"/>
                    <xsd:element name="nrOfStructures" type="NrOfStructures" minOccurs="0"/>
                    <xsd:element name="atomRef" type="AtomRef" minOccurs="1" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            
</xsd:schema>